List SIM products
curl --request GET \
--url https://api.spenza.com/api/v1.1/sim-products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spenza.com/api/v1.1/sim-products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spenza.com/api/v1.1/sim-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"simId": "BIB009A",
"simName": "AT&T Physical SIM",
"description": "Standard tri-cut physical SIM",
"price": 5,
"currency": "usd",
"operator": "AT&T",
"network": "AT&T",
"isEsim": false,
"inStock": 240,
"minOrderQuantity": 1,
"maxOrderQuantity": 10
},
{
"simId": "BIB010A",
"simName": "AT&T eSIM",
"description": "eSIM, bulk pricing available",
"price": 5,
"currency": "usd",
"operator": "AT&T",
"network": "AT&T",
"isEsim": true,
"inStock": 500,
"minOrderQuantity": 1,
"maxOrderQuantity": 1,
"volumeTierPricing": {
"tiers": [
{
"minQuantity": 1,
"maxQuantity": 49,
"pricePerUnit": 5
},
{
"minQuantity": 50,
"maxQuantity": null,
"pricePerUnit": 4.25
}
]
}
}
],
"meta": {
"page": 1,
"pageSize": 25,
"total": 4,
"totalPages": 1
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "One or more fields failed validation.",
"details": {
"validationErrors": [
"pageSize must not be greater than 100"
]
}
}
}Plans & Catalog
List SIM products
List purchasable SIM products (ACTIVE only) — the physical/eSIM unit
itself, separate from a data plan. Each SIM product optionally includes
volumeTierPricing when volume-tiered pricing is enabled for it.
GET
/
api
/
v1.1
/
sim-products
List SIM products
⌘I

